<template>
    <div class="app-container">
<!--      <van-nav-bar-->
<!--        left-arrow-->
<!--        fixed-->
<!--        placeholder-->
<!--        @click-left="$router.back(-1)"-->
<!--        @click-right="goAdd"-->
<!--      >-->
<!--        <template #title>-->
<!--          <p style="font-weight: bold;">有偿退出</p>-->
<!--        </template>-->
<!--        <template #right>-->
<!--          <van-icon name="add" size="18" />-->
<!--        </template>-->
<!--      </van-nav-bar>-->

      <div class="header_main">
        有偿退出
        <div class="return_btn" @click="onClickLeft"></div>
        <div class="add_btn" @click="goAdd"></div>
      </div>

      <van-list
        v-model="loading"
        :finished="finished"
        finished-text="没有更多了"
        @load="getList"
      >
        <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
          <van-cell :title="item.zjddm" :value="selectDictLabel(auditStatus, item.auditStatus)" center :to="{name:'sunVillageInfoPaidExitDetail', query: {id:item.id}}" >
            <template #icon>
              <van-icon name="../../../static/images/onlineHome/icon_zjd3.png" size="30" color="#539FFD" style="margin-right: 10px;" />
            </template>
            <template #label>
              <p><b style="color: #539FFD;">{{item.tcfs}}</b><i style="margin-right: 0.5rem;"></i><b style="color: #333333;">{{item.sqrxm}}</b><i style="margin-right: 0.5rem;"></i>{{item.tcmj}}㎡</p>
            </template>
          </van-cell>
          <template #right>
            <van-row>
              <van-col>
                <van-button square text="修改" v-if="item.auditStatus=='0'" :to="{name:'sunVillageInfoPaidExitModify', query: {id:item.id}}" type="info" class="delete-button" />
              </van-col>
              <van-col>
                <van-button square text="提交" type="primary" v-if="item.auditStatus=='0'" class="delete-button" @click="goSubmit(item)" />
              </van-col>
              <van-col>
                <van-button square text="删除" v-if="item.auditStatus=='0'" @click="deleteList(item.id,index)" type="danger" class="delete-button" />
              </van-col>
            </van-row>
          </template>
        </van-swipe-cell>
      </van-list>
    </div>
</template>

<script>
import { getList, removeList, zyyctcApply } from "@/api/sunVillage_info/homestead/paidExit";
import Cookies from "js-cookie";
export default {
  name: "paidExit",
  data() {
    return {
      applicationList:[],
      houseApplyStatus:[],
      tcqllxStatus:[],
      tclxStatus:[],
      tcfsStatus:[],
      auditStatus:[],
      loading: false,
      finished: false,
      idcard:null,
      queryParams:{
        pageNum:1,
        pageSize:10,
        deptId: Cookies.get('deptId'),
        orderByColumn:'createTime',
        isAsc:'desc',
        // 申请类型  1-宅基地退出
        sqlx: '1',
        // 退出类型  01-有偿退出   02-无偿退出
        tclx: '01',
      }
    };
  },
  created() {
    this.houseGetDicts("tcqllx").then((res) => {
      this.tcqllxStatus = res.data;
    });
    this.houseGetDicts("tclx").then((res) => {
      this.tclxStatus = res.data;
    });
    this.houseGetDicts("tcfs").then((res) => {
      this.tcfsStatus = res.data;
    });
    this.idcard = Cookies.get('idcard');
    this.$set(this.queryParams, "sqrzjhm", this.idcard);
    this.houseGetDicts("yctcsp_status").then((res) => {
      // this.auditStatus = res.data;
      let _this = this;
      res.data.forEach((item) => {
        if (item.dictValue < 5) {
          _this.auditStatus.push(item);
        } else if (item.dictValue == 5) {
          item.dictLabel = "审核通过";
          _this.auditStatus.push(item);
        }
      });
    });
  },
  methods: {
    goAdd(){
      window.location = '/sunVillage_info/paidExitAdd';
    },
    getList(){
      setTimeout(() => {
        getList(this.queryParams).then(response => {
          for (var i = 0; i < response.rows.length; i++) {
            response.rows[i].tclx = this.selectDictLabel(this.tcqllxStatus, response.rows[i].tclx)
            response.rows[i].tclx = this.selectDictLabel(this.tclxStatus, response.rows[i].tclx)
            response.rows[i].tcfs = this.selectDictLabel(this.tcfsStatus, response.rows[i].tcfs)
            response.rows[i].auditStatus = this.selectDictLabel(this.auditStatus, response.rows[i].auditStatus)
            this.applicationList.push(response.rows[i]);
          }
          if(this.applicationList.length >= response.total){
            this.finished = true;
            return;
          }else{
            this.loading = false;
            this.queryParams.pageNum += 1 ;
          }
        });
      }, 1000);
    },
    deleteList(id,index){
      this.$dialog.confirm({
        message: '您确认删除此申请草稿？',
      })
      .then(() => {
        // on confirm
        this.applicationList.splice(index,1)
        removeList(id).then(res => {
          if(res.code = 200){
            this.$toast.success('删除成功');
          }
        });
      })
      .catch(() => {
        // on cancel
      });
    },
    goSubmit(item) {
      zyyctcApply(item.id).then(response => {
        if (response.code = 200) {
          this.$toast.success('提交成功');
          setTimeout(function () {
            window.location.replace("/sunVillage_info/paidExit/paidExitList")
          }, 1000)
        }
      })
    },
  },
}
</script>

<style scoped lang="scss">
  .app-container {
    .header_main{
      height: 116px;
      background: url('../../../assets/images/sunVillage_info/list_head_green.png') no-repeat;
      background-size: 100% 100%;
      position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      font-size: 36px;
      line-height: 116px;
      text-align: center;
      color: #fff;
      position: relative;
      .return_btn{
        width: 24px;
        height: 43.2px;
        background: url('../../../assets/images/sunVillage_info/list_icon_5.png') center center no-repeat;
        background-size: 20px 36px;
        position: absolute;
        left: 38px;
        top: 36px;
      }
      .add_btn{
        width: 56.4px;
        height: 40.8px;
        background: url('../../../assets/images/sunVillage_info/list_icon_9.png') center center no-repeat;
        background-size: 47px 34px;
        position: absolute;
        right: 38px;
        top: 36px;
      }
    }
  }
  /deep/.van-list{
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 0.7;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;
  }
  /deep/.van-cell__value{
    flex: 0.3;
    color: #1D6FE9;
    font-weight: bold;
    text-align: center;
    position: relative;
    left: 20px;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .delete-button {
    height: 100%;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
</style>
